Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4900 - file permissions bug on soft links
Summary: file permissions bug on soft links
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: basesystem
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-04 02:30 UTC by margarita
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-07 13:53:11 UTC


Attachments (Terms of Use)

Description margarita 1999-09-04 02:30:07 UTC
If the real file is owned by root the soft link cannot be
changed to group user even by superuser.

Example: Netscape mail file as /root/nsmail/Inbox

I wanted to ftp a the file from work to check my mail
from netscape. Since security prevents a root ftp login
(that's good) I log in as a mortal user. I cannot get
the mail because the user permissions granted to root
are unchangable. I have to telnet in as a mortal user,
su to root, copy the file to the users directory, change
the permissions to 666, log out, ftp back to my site
and get the file. Ugh!!

Comment 1 Bill Nottingham 1999-09-07 13:53:59 UTC
Symbolic links have no real permissions.
Relying on being able to change the owner/mode/etc. of symbolic
links and not modifying the actual file is a bad idea.


Note You need to log in before you can comment on or make changes to this bug.